Subject: Re: 6lowpan netlink

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Jun 2022 09:34:22 -0700

On Thu, 16 Jun 2022 09:00:08 -0400 Alexander Aring wrote:
> > > I want to spread around that I started to work on some overdue
> > > implementation, a netlink 6lowpan configuration interface, because
> > > rtnetlink is not enough... it's for configuring very specific 6lowpan
> > > device settings.  
> >
> > Great, looking forward to it!  
> 
> I would like to trigger a discussion about rtnetlink or generic. I can
> put a nested rtnetlink for some device specific settings but then the
> whole iproute2 (as it's currently is) would maintain a specific
> 6lowpan setting which maybe the user never wants...
> I think we should follow this way when there is a strict ipv6 device
> specific setting e.g. l2 neighbor information in ipv6 ndisc.

Unless you'll have to repeat attributes which are already present 
in rtnetlink in an obvious way genetlink > rtnetlink.